# Chile

### Required fields

| Field              | Format                                                                                                               | Description                                         |
| ------------------ | -------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- |
| `login`            | String                                                                                                               | Cashouts login                                      |
| `pass`             | String                                                                                                               | Cashouts pass                                       |
| `external_id`      | String (max length: 100)                                                                                             | Transaction's ID on your end                        |
| `document_id`      | <p>Length 8 or 9</p><p>Document types: ID / RUN / RUT</p>                                                            | Beneficiary's document ID                           |
| `country`          | `CL`                                                                                                                 | The country codes are in ISO 3166-1 alpha-2 format. |
| `currency`         | `CLP` / `USD`                                                                                                        | The currencies are in ISO 4217 format.              |
| `amount`           | Number with up to 2 decimals                                                                                         | Cashout amount                                      |
| `bank_code`        | See [bank codes](/guides/cashouts/countries-validations/american-countries/chile.md#bank-codes)                      | Code specifying the beneficiary's bank              |
| `bank_account`     | See [validations below](/guides/cashouts/countries-validations/american-countries/chile.md#bank-account-validations) | Beneficiary's bank account                          |
| `account_type`     | See [account type codes](/guides/cashouts/countries-validations/american-countries/chile.md#account-types)           | Beneficiary's bank account type                     |
| `beneficiary_name` | String (max length: 100)                                                                                             | Beneficiary's name                                  |

### `bank_account` validations

| Bank name | Bank code | Format  | Regex        | Example    |
| --------- | :-------: | ------- | ------------ | ---------- |
| All       |     -     | Numeric | `^\d{6,16}$` | 1234567890 |

### `account_type`

The `account_type` is specified with only one character as described below.

| account\_type | Description       |
| :-----------: | ----------------- |
|    **`C`**    | Checkings account |
|    **`S`**    | Savings account   |
|    **`V`**    | Salary account    |

### Example request

```java
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CL",
    "currency": "CLP",
    "amount": 100,
    "document_id": "56765869",
    "bank_account": "56687456",
    "bank_code": "001",
    "account_type": "C",
    "beneficiary_name": "User",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

### Bank codes

{% hint style="success" %}

### Bank code retrieval via API

For the full and most up-to-date list of banks and its codes, please check this endpoint <a href="/spaces/0lbPmhFPUb55BAkK3G6F/pages/kD1eu0r7kuzS2nEDm1N9" class="button secondary" data-icon="magnifying-glass">Get bank codes</a>
{% endhint %}

| Bank                        | Code |
| --------------------------- | ---- |
| Banco de Chile              | 001  |
| Banco Edwards               | 001  |
| Citi                        | 001  |
| Banco Internacional         | 009  |
| Banco del Estado de Chile   | 012  |
| Scotiabank Sud Americano    | 014  |
| Banco Crédito e Inversiones | 016  |
| Corpbanca Bank              | 027  |
| Banco Bice                  | 028  |
| HSBC Bank                   | 031  |
| Banco Santander- Santiago   | 037  |
| Banco Itaú                  | 039  |
| ABN Amor Bank Chile         | 046  |
| Banco Security              | 049  |
| Banco Falabella             | 051  |
| Deutsche Bank               | 052  |
| Banco Ripley                | 053  |
| Radobank Chile              | 054  |
| Consorcio                   | 055  |
| Banco Penta                 | 056  |
| Banco Paris                 | 057  |
| BCI (Mach)                  | 116  |
| BBVA Banco Bhif             | 504  |
| Banco del Desarrollo        | 507  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/guides/cashouts/countries-validations/american-countries/chile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
